package org.jeecg.modules.finance.service;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.finance.entity.FdSupplementaryContractReceivables;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.projectManagement.entity.FdProjectFile;

import java.util.List;
import java.util.Map;

/**
 * @Description: 补充合同应收款表
 * @author： jeecg-boot
 * @date：   2019-07-19
 * @version： V1.0
 */
public interface IFdSupplementaryContractReceivablesService extends IService<FdSupplementaryContractReceivables> {

    void addAll(FdSupplementaryContractReceivables fdSupplementaryContractReceivables);

    boolean deleteAll(String id);

    Map<String, Object> auditBatch(@Param("list") List<String> list);

    Map<String, Object> reviewBatch(@Param("list") List<String> list);

    FdSupplementaryContractReceivables querySupplementartByConId(String pkProjectFile);

    List<FdProjectFile> supplementContractList();

    /***
     * @Title:联表查询客户的信用期
            * @Description:TODO
            * @param []
            * @return java.util.List<org.jeecg.modules.finance.entity.FdSupplementaryContractReceivables>
            * @exception
            * @author 陈创
            * @date 2019/10/28 14:15
            * @updatehistory:
     *   2019/10/28 14:15 新增
            */
    List<FdSupplementaryContractReceivables> getListAndCreditPeriod();
}
